Subject: Re: [PATCH v9 00/17] Upstreaming the Scalar command

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Dec 2021 20:02:37 -0800

Johannes Schindelin <[email-masked]> writes:

> If I remember correctly, you mentioned quite a couple of times that you
> expect, particularly oldtimers on this list, to be mindful when
> contributing patch series, and to delay patches that would interfere with
> other patch series that are already in flight.
>
> I saw with sorrow that this rule was ignored a couple of times recently,
> even with new contributors, and I sincerely hope that we can unignore that
> rule again.

Sorry, but I am not sure what you are complaining about.

In general, I do try to ask more experienced and competent folks to
bear more burden when playing the role of a traffic coordinator, as
they are more capable of doing so to help the process.  

Relative importance and complexity of the topics also play a role,
so it is also possible that a more junior contributor may be asked
to yield for a more urgent or a less complex topic.

I would give strong preference to things that are already in 'next',
of course.  There has to be an extraordinary reason before we kick
something out of 'next', only to yield the way to allow another
topic to graduate first.

So, I am not sure if there is a need to unignore any rule here.

Thanks.